[Addon] MPD Upgrade

Raspberry Pi related support

Re: [Addon] MPD Upgrade

Postby hondagx35 » 12 Dec 2017, 09:48

Hi rern,

rern wrote:Try:
Code: Select all
systemctl enable mpd

This is not the correct way to start MPD, because it should be started by Rune automatically on startup.
If it does not start, then something is wrong with the update.
see https://github.com/hondagx35/RuneUI/blob/0.4b/command/rune_SY_wrk#L105

Frank
User avatar
hondagx35
 
Posts: 3013
Joined: 11 Sep 2014, 22:06
Location: Germany

Re: [Addon] MPD Upgrade

Postby gotanbl » 14 Dec 2017, 20:55

Hello,
Local browser on hdmi/tft output is black!
In your script, install.sh, you have:
# fix midori missing libs
echo -e "$bar Fix Midori dependencies ..."
ln -s /usr/lib/libicudata.so.59.1 /usr/lib/libicudata.so.56
ln -s /usr/lib/libicui18n.so.59.1 /usr/lib/libicui18n.so.56
ln -s /usr/lib/libicuuc.so.59.1 /usr/lib/libicuuc.so.56
ln -s /usr/lib/libwebp.so.7.0.0 /usr/lib/libwebp.so.6

That isn't correct because icu package in update is icu-60.1-1-armv7h.pkg.tar.xz.
echo -e "$bar Install packages ..."
pacman -S --noconfirm libnfs icu libwebp gcc-libs wavpack ffmpeg

So, midori fix dependencies should be (I think):
mv libicui18n.so.55 libicui18n.so.59
ln -s /usr/lib/libicuuc.so /usr/lib/libicuuc.so.59
mv /usr/lib/libicuuc.so.55 /usr/lib/libicuuc.so.56
mv /usr/lib/libicudata.so.55 /usr/lib/libicudata.so.56

After that, when I start midori from command line, I have error:
midori: symbol lookup error: /usr/lib/libwebkitgtk-3.0.so.0: undefined symbol: UCNV_FROM_U_CALLBACK_ESCAPE_59

Do you know which package should be updated to resolve this?
My installation of Rune Audio 0.4b is on Raspberry Pi 2.
Thanks in advance
gotanbl
 
Posts: 1
Joined: 14 Dec 2017, 20:10

Re: [Addon] MPD Upgrade

Postby rern » 17 Dec 2017, 11:46

gotanbl wrote:...
Local browser on hdmi/tft output is black!
...

MPD is currently at 0.20.12 and some depends are moving forward as well.

Although the upgrade is still OK but the fix for Midori missing libs doesn’t work anymore. The local browser will stop working after the upgrade.

I’ve been trying but can’t fix it. The only way so far is to upgrage Midori itself but there’s still an issue with high CPU load. It has to be force refreshed manually on local screen to get it back to normal. If someone knows how to fix it please advice.

MPD Upgrade addon has been put offline for now.
Raspberry Pi 3 > SMSL M8 DAC
GitHub
rern
 
Posts: 273
Joined: 14 Jul 2016, 08:15

Re: [Addon] MPD Upgrade

Postby rern » 20 Dec 2017, 16:11

MPD has just moved to 0.20.13.

Midori, local browser, still broken after upgrade.

Now the addon is back online only for those who definitely don't use the local browser any more.
Raspberry Pi 3 > SMSL M8 DAC
GitHub
rern
 
Posts: 273
Joined: 14 Jul 2016, 08:15

Re: [Addon] MPD Upgrade

Postby R101 » 30 May 2018, 22:21

Hi rern,

I have been trying to set up a Pi2 with 0.4-beta 20170229 but, even with the local browser turned off, the mpd upgrade now breaks MPD.

For the few of us who can get the BBC 320k feeds, is it possible to upgrade MPD to 0.20.11, which seems to work?
(Pi 3, Ver. 0.4b build 20170229, JLS I2S over USB)
R101
 
Posts: 156
Joined: 29 Apr 2016, 16:16

[Addon] MPD Upgrade 0.20.20

Postby rern » 01 Jun 2018, 13:58

The addon now can upgrade from default to MPD 0.20.20.

The previousely upgraded MPD should still be upgradable as well:
Code: Select all
pacman -Sy mpd libmpdclient


The local browser should be switched to Chromium. It's reportedly better.
Raspberry Pi 3 > SMSL M8 DAC
GitHub
rern
 
Posts: 273
Joined: 14 Jul 2016, 08:15

Re: [Addon] MPD Upgrade

Postby R101 » 01 Jun 2018, 18:14

Many thanks rern. It all seems to work with the new updates, both with and without a local browser.
(Pi 3, Ver. 0.4b build 20170229, JLS I2S over USB)
R101
 
Posts: 156
Joined: 29 Apr 2016, 16:16

Re: [Addon] MPD Upgrade

Postby Magnum9 » 28 Jun 2018, 06:06

Will we ever get dual boot for kodi?
Magnum9
 
Posts: 4
Joined: 10 Mar 2017, 08:35

Re: [Addon] MPD Upgrade

Postby rern » 29 Jun 2018, 13:12

Magnum9 wrote:Will we ever get dual boot for kodi?


It's been available for quite sometime now:
Dual Boot: Rune | OSMC (Pi2, Pi3)
Raspberry Pi 3 > SMSL M8 DAC
GitHub
rern
 
Posts: 273
Joined: 14 Jul 2016, 08:15

[Addon] MPD Upgrade - Midori too

Postby rern » 21 Jul 2018, 15:45

Midori, local browser, used to have some problem with high CPU usage after upgrade.
Now the issue is gone.
Midori Upgrade is now available as an addon as well.
Raspberry Pi 3 > SMSL M8 DAC
GitHub
rern
 
Posts: 273
Joined: 14 Jul 2016, 08:15

support RuneAudio Donate with PayPal

PreviousNext

Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 1 guest